/* RESET BASE */
html, body {
    overflow-x: hidden;
}
body {
    background: #0d1117;
    color: #fff;
    font-family: Arial, sans-serif;
    margin: 0;
}

/* CONTAINER */
.container {
    max-width: 1100px;
    margin: auto;
    padding: 20px;
}

/* HEADER */
.header {
    width: 100%;
    background: #020617;
    border-bottom: 1px solid #1f2937;
}

.header-container {
    max-width: 1100px;
    margin: auto;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo img { height: 80px; }

/* MENU DESKTOP */
.fechar {
    display: none;
}

.menu {
    display: flex;
    align-items: center;
    gap: 10px;
}

.menu a {
    text-decoration: none;
    color: #ccc;
    font-size: 14px;
    padding: 8px 12px;
}

.menu a:hover {
    color: #4da6ff;
}

/* TELA INICIAL - FORNECEDORES */

.marca{
    color:#fff;
}
 
.grade-fornecedores{
    display:grid;
    grid-template-columns:repeat(auto-fit, minmax(280px, 1fr));
    gap:30px;
}

.grade-fornecedores a{
    text-decoration:none;
}

.card-fornecedor{
    background:#0f172a;
    border:1px solid #1e293b;
    border-radius:12px;
    overflow:hidden;
    transition:.3s;
    cursor:pointer;
}

.card-fornecedor:hover{
    transform:translateY(-5px);
    border-color:#4da6ff;
    box-shadow:0 10px 25px rgba(0,0,0,.4);
}

.card-fornecedor img{
    width:100%;
    display:block;
}

.card-body{
    padding:20px;
}

.card-body h3{
    margin:0 0 10px;
    color:#fff;
}

.card-body p{
    color:#9ca3af;
    font-size:14px;
}

/* BOTÃO WHATSAPP */
.contato a,
.btn-whatsapp {
    background: #22c55e;
    padding: 8px 15px;
    border-radius: 6px;
    text-decoration: none;
    color: #fff !important;
    display: inline-block;
}

.btn-whatsapp:hover {
    background: #16a34a;
    color: #fff !important;
}

/* BOTÃO HAMBÚRGUER */
.menu-toggle {
    display: none;
    font-size: 26px;
    cursor: pointer;
}

/* TOPO */
.topo {
    display: flex;
    gap: 30px;
    margin-bottom: 40px;
}

.info { flex: 1; }

.info h2 { color: #4da6ff; font-size: 32px;}

.subtitulo{
    color:#9ca3af;
    margin-top:-10px;
    margin-bottom:30px;
}

.info .marca {
        color: #fff;
    }

.info p {
    color: #ccc;
    line-height: 1.5;
}

.info .descri {
    text-align: justify;
}

/* INFO GRID */
.info-box {
    margin-top: 20px;
    background: #0f172a;
    padding: 15px;
    border-radius: 8px;
    border: 1px solid #1e293b;
}

.info-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
}

.info-grid strong {
    font-size: 12px;
    color: #9ca3af;
}

.info-grid p {
    margin: 5px 0 0;
    font-weight: bold;
}

/* IMAGEM */
.ambiente { flex: 1; }

.ambiente img {
    width: 100%;
    margin-top: 80px;
    border-radius: 10px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.4);
}

#imagemPrincipal {
    width: 100%;
    display: block;
    opacity: 1;
    transition: opacity 0.8s ease-in-out;
}

#imagemPrincipal.fade {
    opacity: 0;
}

.nome-ativo {
    margin-top: 15px;
    font-size: 18px;
    color: #4da6ff;
    font-weight: bold;
}

/* GRID */
.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
    gap: 15px;
}

.piso {
    cursor: pointer;
    text-align: center;
}

.piso img {
    width: 100%;
    border-radius: 6px;
    border: 2px solid transparent;
    transition: 0.2s;
}

.piso img:hover {
    border: 2px solid #4da6ff;
    transform: scale(1.05);
}

.piso.ativo img {
    border: 2px solid #4da6ff;
}

.nome {
    font-size: 12px;
    margin-top: 5px;
}

/* ==========================
   FOOTER
========================== */

.footer{
    background:#020617;
    color:#fff;
    margin-top:60px;
}

.footer-container{
    max-width:1200px;
    margin:auto;
    padding:25px 20px;
    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:30px;
}

/* LOGO */

.footer-logo img{
    max-width:280px;
    height:auto;
}

/* MARCAS */

.footer-marcas{
    display:flex;
    gap:60px;
}

.footer-marcas a{
    color:#fff;
    text-decoration:none;
    font-size:1.1rem;
    font-weight:500;
    transition:.3s;
}

.footer-marcas a:hover{
    color:#0ea5e9;
}

/* CONTATO */

.footer-contato{
    text-align:right;
}

.footer-contato .fone{
    display:flex;
    justify-content:flex-end;
    align-items:center;
    gap:10px;
    color:#fff;
    text-decoration:none;
    font-size:1.9rem;
    font-weight:700;
    margin-bottom:8px;
}

.footer-contato .fone img{
    width:34px;
    height:34px;
}

.footer-contato .email{
    display:block;
    color:#fff;
    text-decoration:none;
    margin-bottom:8px;
    font-size:1rem;
}

.footer-contato p{
    margin:0;
    line-height:1.4;
    font-size:1rem;
}

/* COPYRIGHT */

.footer-copy{
    background:#0b0b0b;
    text-align:center;
    padding:12px;
    font-size:.9rem;
    color:#ddd;
}


/**********************************************/
/* ================= MOBILE ================= */
@media (max-width: 768px) {
    .fechar {
        display: block;
    }

    /* HEADER CORRETO */
    .header-container {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    /* MOSTRA HAMBÚRGUER */
    .menu-toggle {
        display: block;
    }

    .info h2 { 
        font-size: 20px;
        text-align: center; 
    }

    .info .descri {
        text-align: justify;
    }

    /* ESCONDE MENU NORMAL */
    .menu {
        position: fixed;
        top: 0;
        right: -100%;
        width: 40%;
        height: 100%;
        background: #0f172a;
        display: flex;
        flex-direction: column;
        padding: 40px 30px;
        gap: 15px;
        transition: right 0.35s ease;
        z-index: 999;
    }

    /* MENU ABERTO */
    .menu.ativo {
        right: 0;
    }

    .menu a {
        margin: 0;
        font-size: 16px;
        padding: 8px 0;
    }

    .menu a:hover {
        color: #4da6ff;
    }

    .btn-whatsapp {
        width: 100%;
        text-align: center;
        font-weight: bold;
    }

    .btn-whatsapp:hover {
        color: #fff;
        background: #0D5501;
    }

    /* TOPO */
    .topo {
        flex-direction: column;
    }

    /* IMAGEM */
    .ambiente img {
        margin-top: 1px;
    }

    /* GRID MOBILE */
    .grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .fechar {
        font-size: 28px;
        cursor: pointer;
        align-self: flex-end;
        margin-bottom: 20px;
    }

    .overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0,0,0,0.6);
        opacity: 0;
        visibility: hidden;
        transition: 0.35s;
        z-index: 998;
    }

    .overlay.ativo {
        opacity: 1;
        visibility: visible;
    }

    .footer-container{
        flex-direction:column;
        text-align:center;
    }

    .footer-marcas{
        flex-wrap:wrap;
        justify-content:center;
        gap:25px;
    }

    .footer-contato{
        text-align:center;
    }

    .footer-contato .fone{
        justify-content:center;
        font-size:1.5rem;
    }

}